## LassoSoapBindingUsageDirective LassoSoapBindingUsageDirective — <soapbinding:UsageDirectiveType> |

## Functions

LassoSoapBindingUsageDirective * | lasso_soap_binding_usage_directive_new ()

## Types and Values

struct | LassoSoapBindingUsageDirective

## Description

Figure 141. Schema fragment for soapbinding:UsageDirectiveType

    <xs:complexType name="UsageDirectiveType">
        <xs:sequence>
            <xs:any namespace="##other" processContents="lax" maxOccurs="unbounded"/>
        </xs:sequence>
        <xs:attribute name="id" type="xs:ID" use="optional"/>
        <xs:attribute name="ref" type="xs:IDREF" use="required"/>
        <xs:attribute ref="S:mustUnderstand" use="optional"/>
        <xs:attribute ref="S:actor" use="optional"/>
    </xs:complexType>
    <xs:element name="UsageDirective" type="UsageDirectiveType"/>

## Functions

### lasso_soap_binding_usage_directive_new ()

    LassoSoapBindingUsageDirective *
    lasso_soap_binding_usage_directive_new
                                   (const gchar *ref);

## Types and Values

### struct LassoSoapBindingUsageDirective

    struct LassoSoapBindingUsageDirective {
    	LassoNode parent;

    	GList *other; /* of LassoNode */

    	gchar *id;
    	gchar *ref;
    	gchar *mustUnderstand;
    	gchar *actor;
    };